Bug 132139 - Tabbed User Interface Hamburger menu outside of screen when window is maximized
Summary: Tabbed User Interface Hamburger menu outside of screen when window is maximized
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: x86-64 (AMD64) All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Multimonitor Maximized-Window
  Show dependency treegraph
 
Reported: 2020-04-15 21:57 UTC by intelati26
Modified: 2022-09-30 03:52 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Menu next to maximized window (17.51 KB, image/png)
2020-04-15 22:07 UTC, intelati26
Details
Hovering sidebar main item labels fall outside screen (28.34 KB, image/jpeg)
2020-07-03 16:08 UTC, Sebastiaan Veld
Details

Note You need to log in before you can comment on or make changes to this bug.
Description intelati26 2020-04-15 21:57:35 UTC
Description:
I am currently using the tabbed user interface. I was trying to find recent documents, so I clicked the hamburger menu to find the documents. There was no visible reaction. I switched to a different monitor and noticed the menu on the other screen.


Able to restore functionality by either moving just ignoring the issue and moving mouse to other monitor or unmaximizing window (Note: When windowed, the hamburger menu doesn't switch monitors even when pushed to side closest to the other monitor.

Steps to Reproduce:
1. Open Calc or writer with either Tabbed or Tabbed Compact User interface on the left of a multi monitor set up.
2. Maximize window if not already.
3. Activate Hamburger menu on upper right hand side.

Actual Results:
Menu then shows on the monitor to the right of the window

Expected Results:
The menu should expand to the left of the button allowing the user to stick to the same monitor. When program is not maximized, this is the behavior


Reproducible: Always


User Profile Reset: Yes


OpenGL enabled: Yes

Additional Info:
Version: 6.4.2.2 (x64)
Build ID: 4e471d8c02c9c90f512f7f9ead8875b57fcb1ec3
CPU threads: 24; OS: Windows 10.0 Build 18363; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 1 intelati26 2020-04-15 22:07:57 UTC
Created attachment 159600 [details]
Menu next to maximized window
Comment 2 Sebastiaan Veld 2020-07-03 16:05:54 UTC
I have the same issue.

Environment:
Multi monitor Setup 1920*1080 (laptop screen and an extra screen attached).
Have this issue in LO 6.4.5 (and before) but also in 7.0.0 beta 2

If I have LO running on the second screen:
* the hamburger menu opens up fine
* hoovering over the sidebar icons works fine and the pop up information shows up fine on the lowerleft of the sidebar main selection items (Properties of the Sidebar, Properties, Page,...).

If I have LO running on the laptop screen:
* the hamburger menu is not visible when licking on it, so it feels nothing happens.
* hoovering over the sidebar icons the pop up information shows up on the lowerright of the sidebar main selection items (Properties of the Sidebar, Properties, Page,...) so most of the text banner falls outside of the screen.

Version: 7.0.0.0.beta2 (x64)
Build ID: 1c213561a365b5666167321de68c9977500c9612
CPU-threads: 4; Besturingssysteem: Windows 10.0 Build 18363; UI-render: Skia/Rooster; VCL: win
Locale: nl-NL (nl_NL); GI: nl-NL
Calc: threaded

Versie: 6.4.5.2 (x64)
Build ID: a726b36747cf2001e06b58ad5db1aa3a9a1872d6
CPU-threads: 4; Besturingssysteem: Windows 10.0 Build 18363; UI-render: standaard; VCL: win; 
Locale: nl-NL (nl_NL); UI-taal: nl-NL
Calc: threaded

Attached: Hovering-sidebar-main-items-labels-fall-outside-screen.jpg
Comment 3 Sebastiaan Veld 2020-07-03 16:08:54 UTC
Created attachment 162616 [details]
Hovering sidebar main item labels fall outside screen

Attachment: Hovering sidebar main item labels fall outside screen
Comment 4 Sebastiaan Veld 2020-07-07 16:38:49 UTC
Did some more testing and found I can reproduce the issue with OpenOffice (4.1.7) too, so I guess this is inherited from OOo.
Comment 5 QA Administrators 2022-09-30 03:52:46 UTC
Dear intelati26,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://web.libera.chat/?settings=#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug